name: XH-2.54-2P
# the JST XH series has a pitch of 2.5 mm
description: similar to JST XH series connector, with 2 pins, pitch 2.54 mm
keywords: connector

pinout:
  +: 1
  -: 2

schematic:
  symbol: connector

# measured from actual connector
housing:
  pattern: custom
  bodyWidth: 7.45
  bodyLength: 5.75
  height: 7.0

  # pins
  holeDiameter: 1.0
  padDiameter: 1.8
  pitch: 2.54
  rowCount: 1
  columnCount: 2
  rowDX: 0
  rowDY: -0.425
